{
  "compilerOptions": {
    "rootDir": ".",
    "paths": {
      "shared-auth": ["./libs/shared/auth/src/index.ts"],
      "shared-tokens": ["./libs/shared/tokens/src/index.ts"],
      "shared-util": ["./libs/shared/util/src/index.ts"],
      "shared-ui": ["./libs/shared/ui/src/index.ts"],
      "feature-auth": ["./libs/feature/auth/src/index.ts"],
      "shared-state": ["./libs/shared/state/src/index.ts"],
      "shared-charts": ["./libs/shared/charts/src/index.ts"]
    },
    "sourceMap": true,
    "declaration": false,
    "importHelpers": true,
    "isolatedModules": true,
    "lib": ["es2022", "dom"],
    "module": "esnext",
    "moduleResolution": "bundler",
    "target": "es2022",
    "experimentalDecorators": true,
    "emitDecoratorMetadata": true,
    "useDefineForClassFields": false,
    "noFallthroughCasesInSwitch": true,
    "noImplicitOverride": true,
    "noImplicitReturns": true,
    "noUnusedLocals": true,
    "skipLibCheck": true,
    "skipDefaultLibCheck": true,
    "strict": true,
    "noUncheckedIndexedAccess": true,
    "exactOptionalPropertyTypes": true,
    "noPropertyAccessFromIndexSignature": true
  }
}
